Bug 253592 - [RHEL 4.5] forcedeth: pull latest upstream updates
[RHEL 4.5] forcedeth: pull latest upstream updates
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Andy Gospodarek
Martin Jenner
:
Depends On: 250700
Blocks: RHEL4u7_relnotes 430698
  Show dependency treegraph
 
Reported: 2007-08-20 14:50 EDT by Andy Gospodarek
Modified: 2014-06-29 18:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 501554 (view as bug list)
Environment:
Last Closed: 2008-07-24 15:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Gospodarek 2007-08-20 14:50:48 EDT
+++ This bug was initially created as a clone of Bug #250700 +++

-- Additional comment from aisaacson@penguincomputing.com on 2007-08-17 19:08 EST --
I've verified that 2.6.9-55.21.EL.gtest.26.1 with forcedeth 0.60 fixes the IPMI
sideband issue, and it also addresses a locking bug that had been problematic
for us with nvidia's 0.60 and 0.62.

It appears that you'll want to merge 3ba4d093fe8a26f5f2da94411bf8732fa6e9da86
from upstream as well.

Note that 0.62 "Driver Package 1.23" is now available from nvidia.com.

Thanks for the great work!  This driver looks much better now.

-- Additional comment from agospoda@redhat.com on 2007-08-20 09:48 EST --
Glad to hear that is working for you, Andy!  

The last commit I pulled into this update was actually:

commit 6fedae1f6e66ab5f169bf58064e23e015fc1307d
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Tue Feb 20 03:34:44 2007 -0500

So I pulled before the one you recommended.

commit 3ba4d093fe8a26f5f2da94411bf8732fa6e9da86
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Fri Mar 23 05:50:02 2007 -0500

It probably won't make the upcoming update (4.6), but I'll pull together some of
the latest upstream fixes for my test kernels and hopefully push them into 4.7.

If it's OK with you I'd like to close out this bug since your main IPMI issue
seems to be resolved.  Seem reasonable?

-- Additional comment from aisaacson@penguincomputing.com on 2007-08-20 14:10 EST --
(In reply to comment #5)
> If it's OK with you I'd like to close out this bug since your main IPMI issue
> seems to be resolved.  Seem reasonable?

Sounds good to me, but I'd like to make sure 3ba4d09 doesn't fall through the
cracks (I'll be maintaining it locally until it shows up in RHEL4.7 or
whatever).  Would you like to open a new ticket or shall I?
Comment 1 John Hawkes 2007-11-15 11:56:26 EST
Another critical upstream change to pull into the upcoming rhel4u6 forcedeth.c
fixes a skbuff() BUG() under high loads (e.g., ping flooding by two or more
nodes against a target node):

@@ -2143,7 +2143,7 @@ static int nv_rx_process(struct net_devi

        while((np->get_rx.orig != np->put_rx.orig) &&
              !((flags = le32_to_cpu(np->get_rx.orig->flaglen)) & NV_RX_AVAIL) &&
-               (rx_processed_cnt++ < limit)) {
+               (rx_processed_cnt < limit)) {

                dprintk(KERN_DEBUG "%s: nv_rx_process: flags 0x%x.\n",
                                        dev->name, flags);
@@ -2265,6 +2265,8 @@ next_pkt:
                        np->get_rx.orig = np->first_rx.orig;
                if (unlikely(np->get_rx_ctx++ == np->last_rx_ctx))
                        np->get_rx_ctx = np->first_rx_ctx;
+
+               rx_processed_cnt++;
        }

        return rx_processed_cnt;
@@ -2281,7 +2283,7 @@ static int nv_rx_process_optimized(struc

        while((np->get_rx.ex != np->put_rx.ex) &&
              !((flags = le32_to_cpu(np->get_rx.ex->flaglen)) & NV_RX2_AVAIL)
&&-             (rx_processed_cnt++ < limit)) {
+             (rx_processed_cnt < limit)) {

                dprintk(KERN_DEBUG "%s: nv_rx_process_optimized: flags 0x%x.\n",
                                       dev->name, flags);
@@ -2384,6 +2386,8 @@ next_pkt:
                        np->get_rx.ex = np->first_rx.ex;
                if (unlikely(np->get_rx_ctx++ == np->last_rx_ctx))
                        np->get_rx_ctx = np->first_rx_ctx;
+
+               rx_processed_cnt++;
        }

        return rx_processed_cnt;
Comment 2 Andy Gospodarek 2007-11-15 12:17:48 EST
Thanks for the tip, James.  The patches from Ingo that cover this were set to be included in the update, but I'll make sure they get in there.
Comment 4 Andy Gospodarek 2008-03-14 07:53:43 EDT
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel4

Please test them and report back your results.
Comment 5 Andy Gospodarek 2008-03-17 13:43:22 EDT
John,

If you can try out some of the test kernels (though I would advise to avoid the
32-bit builds for now) mentioned in comment #4 I would really appreciate it.
Comment 8 Vivek Goyal 2008-03-20 10:09:05 EDT
Committed in 68.24.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 10 Don Domingo 2008-05-20 21:03:57 EDT
for the release notes: what specific bug fixes are applied by this driver
update? please advise. thanks!
Comment 11 Andy Gospodarek 2008-05-21 11:40:19 EDT
If I had to narrow down the information from the 29 upstream commits that were
added, I would probably highlight the following.

- various phy fixes and new support
- mcp73, mcp77, and mcp79 support added
- hardware related fixes for pause frames, WoL, MAC address ordering, and tx
timeout problems

Just for the record, here are all the commits included:

commit 4e84f9b10461ad3c869ced4373dd85771dd67d20
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Mon Feb 4 15:14:09 2008 -0500

    forcedeth: preserve registers

commit eb79842838b6a3860d70be404fbb6e3b8f2a65de
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Mon Feb 4 15:14:04 2008 -0500

    forcedeth: phy status fix

commit b2976d23a15aac11e8e77a496108b9f4040fac4d
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Mon Feb 4 15:13:59 2008 -0500

    forcedeth: restart tx/rx

commit 2b91213064bd882c3adf35f028c6d12fab3269ec
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Mon Jan 28 10:24:40 2008 -0500

    forcedeth: mac address mcp77/79

commit bb9a4fd1f7cc083f72e52f01938c23ac5b3403d5
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jan 13 16:03:04 2008 -0500

    forcedeth: multicast fix

commit 32fa8b27eaec2f4bc978cadfb84b375de57311ce
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jan 13 16:03:01 2008 -0500

    forcedeth: tx pause fix

commit f648d129038f40868dc79bbcb1bd3505e4a7faf2
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jan 13 16:02:57 2008 -0500

    forcedeth: updated copyright section

commit bfaffe8fae0273b57f2146d1759cbd25d07c81e9
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jan 13 16:02:55 2008 -0500

    forcedeth: checksum fix

commit 0a62677b26ccb31cd81fc55d14d27d8cd3560d7d
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jan 13 16:02:42 2008 -0500

    forcedeth: reset register fix

commit 5bb7ea26148369315492c3dfc43c3b6366a9f279
Author: Al Viro <viro@ftp.linux.org.uk>
Date:   Sun Dec 9 16:06:41 2007 +0000

    forcedeth endianness bugs

commit 2e3884b5b16795c03a7bf295797c1b2402885b88
Author: Bj�rn Steinbrink <B.Steinbrink@gmx.de>
Date:   Mon Jan 7 23:22:53 2008 -0800

    [FORCEDETH]: Fix reversing the MAC address on suspend.

commit 9e555930bd873d238f5f7b9d76d3bf31e6e3ce93
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Wed Nov 21 15:02:58 2007 -0800

    forcedeth boot delay fix

commit 490dde8990c55662596a4be71b5070bd7d382d4a
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Fri Nov 23 20:54:01 2007 -0500

    forcedeth: new mcp79 pci ids

commit 96fd4cd3e40e240f0c385af87f58e74da8b7099a
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Thu Oct 25 03:36:42 2007 -0400

    [netdrvr] forcedeth: add MCP77 device IDs

commit c1b7151a5ef4f35fb116d1a2689c5280938b0e8d
Author: Ingo Molnar <mingo@elte.hu>
Date:   Wed Oct 17 12:18:23 2007 +0200

    forcedeth: fix rx-work condition in nv_rx_process_optimized() too

commit 3f88ce495b11bb4a68e4f291e8dc3057a1cf9daf
Author: Jeff Garzik <jeff@garzik.org>
Date:   Tue Oct 16 04:09:09 2007 -0400

    [netdrvr] forcedeth: improved probe info; dev_printk() cleanups

commit f7ab697d328b0a417d9e3cb891d45693ea89e83d
Author: Ed Swierk <eswierk@arastra.com>
Date:   Fri Sep 28 22:42:13 2007 -0700

    forcedeth: "no link" is informational

commit 10d024c1b2fd58af8362670d7d6e5ae52fc33353
Author: Ralf Baechle <ralf@linux-mips.org>
Date:   Mon Sep 17 13:11:17 2007 -0700

    [NET]: Nuke SET_MODULE_OWNER macro.

commit ba685fb2abd71162bea6895a99449c1071b01402
Author: Willy Tarreau <w@1wt.eu>
Date:   Thu Aug 23 21:35:41 2007 +0200

    fix realtek phy id in forcedeth

commit 1a2b73302aacddf2543f9d7a25936e4323fa1486
Author: Timo Jantunen <jeti@iki.fi>
Date:   Tue Aug 14 21:56:57 2007 +0300

    fix random hang in forcedeth driver when using netconsole

commit ef756b3e56c68a4d76d9d7b9a73fa8f4f739180f
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Thu Jul 26 23:46:00 2007 -0400

    forcedeth: mac address correct

commit 1398661b0d5f8570704fc267c9323cf1dde61e0a
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jul 22 20:43:26 2007 -0400

    forcedeth: mcp73 device addition

commit dd00cc486ab1c17049a535413d1751ef3482141c
Author: Yoann Padioleau <padator@wanadoo.fr>
Date:   Thu Jul 19 01:49:03 2007 -0700

    some kmalloc/memset ->kzalloc (tree wide)

commit c5e3ae8823693b260ce1f217adca8add1bc0b3de
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jul 15 06:51:03 2007 -0400

    forcedeth bug fix: realtek phy

commit d215d8a269f397d303c3d5f7c74e98592e8284f1
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jul 15 06:50:53 2007 -0400

    forcedeth bug fix: vitesse phy

commit 14a67f3c6ca319edd011db4edad63dd686426ae2
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Sun Jul 15 06:50:28 2007 -0400

    forcedeth bug fix: cicada phy

commit 2cc49a5ca14348f225beb888ad383064f2a96876
Author: Tim Mann <mann@vmware.com>
Date:   Thu Jun 14 13:16:38 2007 -0700

    forcedeth: use unicast receive mode for WoL

commit 096a458c3a9c717563e98b0a2ce69821459a6660
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Mon May 21 20:23:11 2007 -0400

    forcedeth: fix cpu irq mask

commit 3ba4d093fe8a26f5f2da94411bf8732fa6e9da86
Author: Ayaz Abdulla <aabdulla@nvidia.com>
Date:   Fri Mar 23 05:50:02 2007 -0500

    forcedeth: fix tx timeout
Comment 12 Don Domingo 2008-05-21 19:26:16 EDT
thanks Andy, added to RHEl4.7 rlease notes under "Driver Updates => Network":

<quote>
forcedeth: driver updated to upstream version 0.61. This update provides support
for the following chipsets:

    * MCP73
    * MCP77
    * MCP79

This update also provides several bug fixes related to WOL, MAC address
ordering, and tx timeout issues.
</quote>

please advise if any revisions are required. thanks!
Comment 13 Andy Gospodarek 2008-05-22 07:11:55 EDT
Looks good to me.
Comment 14 Don Domingo 2008-06-02 19:15:15 EDT
Hi,

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:
http://intranet.corp.redhat.com/ic/intranet/RHEL4u7relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 15 John Hawkes 2008-06-10 22:51:17 EDT
At Penguin Computing we've been stressing this driver, built into our
rhel4u6-based kernel, and we got one kernel oops:

Jun  7 06:01:12 10.54.0.101 n1 NETDEV WATCHDOG: eth0: transmit timed out
Jun  7 06:01:12 10.54.0.101 n1 eth0: Got tx_timeout. irq: 00000036
Jun  7 06:01:12 10.54.0.101 n1 eth0: Ring at 12bc5a000
Jun  7 06:01:12 10.54.0.101 n1 eth0: Dumping tx registers
Jun  7 06:01:12 10.54.0.101 n1   0: 00002036 000000ff 00000003 023b03ca 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1  20: 00000000 00000000 00000000 00000000 00000001
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1  40: 0420e20e 0000a855 00002e20 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1  60: 00000000 00000000 00000000 0000ffff 0000ffff
0000ffff 0000ffff 00000000
Jun  7 06:01:12 10.54.0.101 n1  80: 003b0f3c 40040001 00000000 007f0020 0000061c
00000001 00200000 00007f7d
Jun  7 06:01:12 10.54.0.101 n1  a0: 0014050f 00000016 e7d1a000 00001e59 005e0001
00000100 ffffffff 0000ffff
Jun  7 06:01:12 10.54.0.101 n1  c0: 10000002 00000001 00000001 00000001 00000001
00000001 00000001 00000001
Jun  7 06:01:12 10.54.0.101 n1  e0: 00000001 00000001 00000001 00000001 00000001
00000001 00000001 00000001
Jun  7 06:01:12 10.54.0.101 n1 100: 2bc5a800 2bc5a000 007f00ff 00008000 00010032
00000000 00000005 2bc5a810
Jun  7 06:01:12 10.54.0.101 n1 120: 2bc5a530 d1f776c0 ac00ffc7 00000000 00000000
2bc5a81c 2bc5a530 0fe08000
Jun  7 06:01:12 10.54.0.101 n1 140: 00304120 80c02600 00000001 00000001 00000001
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 160: 00000001 00000001 00000001 00000001 01ff0080
0000c000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 180: 00000006 00000008 0294796d 00008103 0000004a
00003800 00000080 0000b983
Jun  7 06:01:12 10.54.0.101 n1 1a0: 00000006 00000008 0294796d 00008103 0000004a
00003800 00000080 0000b983
Jun  7 06:01:12 10.54.0.101 n1 1c0: 00000006 00000008 0294796d 00008103 0000004a
00003800 00000080 0000b983
Jun  7 06:01:12 10.54.0.101 n1 1e0: 00000006 00000008 0294796d 00008103 0000004a
00003800 00000080 0000b983
Jun  7 06:01:12 10.54.0.101 n1 200: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 220: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 240: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 260: 00000000 00000000 fe027001 00000100 00000011
000000a3 fe027011 000001a3
Jun  7 06:01:12 10.54.0.101 n1 280: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 2a0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 2c0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 2e0: 00000000 00000000 00000000 00000000 00000000
00000001 00000001 00000001
Jun  7 06:01:12 10.54.0.101 n1 300: 80212000 00000000 00000000 00000000 00000000
00002000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 320: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 340: 00000000 00000000 00000000 00000000 00000000
00000020 02e41c70 00000000
Jun  7 06:01:12 10.54.0.101 n1 360: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 380: 00000000 00000000 00000000 00000000 00000000
00000000 00000002 00000000
Jun  7 06:01:12 10.54.0.101 n1 3a0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 3c0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 3e0: 06255300 00701365 00000000 00000000 00000037
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 400: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 420: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 440: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 460: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 480: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 4a0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 4c0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 4e0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 500: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 520: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 540: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 560: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 580: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 5a0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 5c0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 5e0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 600: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:12 10.54.0.101 n1 eth0: Dumping tx ring
Jun  7 06:01:12 10.54.0.101 n1 000: 00000001 d1f7709e 200005ee // 00000000
99a6f09e 2000032e // 00000002 2c53589e 20000046 // 00000002 2c535c9e 20000046
Jun  7 06:01:12 10.54.0.101 n1 004: 00000000 0110cc9e 20000046 // 00000002
2c7f3c9e 20000046 // 00000000 cfd0d49e 20000046 // 00000001 2bcf2c9e 20000046
Jun  7 06:01:12 10.54.0.101 n1 008: 00000000 cfc57c9e 20000046 // 00000001
319df89e 20000046 // 00000002 2c52b49e 20000046 // 00000000 010e649e 20000046
Jun  7 06:01:12 10.54.0.101 n1 00c: 00000000 010eb89e 20000046 // 00000000
cfd10c9e 20000046 // 00000001 2bd19c9e 20000046 // 00000001 319e849e 20000046
Jun  7 06:01:12 10.54.0.101 n1 010: 00000001 3193949e 20000046 // 00000000
010ebc92 20000052 // 00000002 2c78589e 20000046 // 00000000 010cd492 20000052
Jun  7 06:01:12 10.54.0.101 n1 014: 00000001 27e66c9e 20000046 // 00000001
319de89e 20000046 // 00000001 319df49e 20000046 // 00000001 3197489e 20000046
Jun  7 06:01:12 10.54.0.101 n1 018: 00000000 010cc89e 20000046 // 00000002
2c7e349e 20000046 // 00000000 cfcf549e 20000046 // 00000002 2c53a49e 20000046
Jun  7 06:01:12 10.54.0.101 n1 01c: 00000002 2c465c9e 20000046 // 00000002
2c7f349e 20000046 // 00000002 2c46589e 20000046 // 00000001 2bcf2492 20000052
Jun  7 06:01:12 10.54.0.101 n1 020: 00000000 010e189e 20000046 // 00000000
cfd0189e 20000046 // 00000002 2c78d49e 20000046 // 00000002 2c52a89e 20000046
Jun  7 06:01:12 10.54.0.101 n1 024: 00000001 2bc2489e 20000046 // 00000000
cfd16c9e 20000046 // 00000002 2c52b89e 20000046 // 00000002 2b9cbc9e 20000046
Jun  7 06:01:12 10.54.0.101 n1 028: 00000000 010cc492 20000052 // 00000002
2c52bc9e 20000046 // 00000000 cfd01c9e 20000046 // 00000002 2c53ac92 20000052
Jun  7 06:01:12 10.54.0.101 n1 02c: 00000000 cfd1489e 20000046 // 00000000
cfd1049e 20000046 // 00000002 2c789c02 2000005e // 00000000 cfc4e89e 20000046
Jun  7 06:01:12 10.54.0.101 n1 030: 00000002 2c46549e 20000046 // 00000000
99c6609e 200005ee // 00000001 d208109e 200005ee // 00000001 d2b4c09e 200005ee
Jun  7 06:01:12 10.54.0.101 n1 034: 00000000 99f7109e 200005ee // 00000000
99a5209e 200005ee // 00000000 9dc5f09e 200005ee // 00000001 dab2209e 200005ee
Jun  7 06:01:12 10.54.0.101 n1 038: 00000001 d1f74092 200005ee // 00000000
a1adb09e 200005ee // 00000001 d2743092 200005ee // 00000001 d2b5009e 200005ee
Jun  7 06:01:12 10.54.0.101 n1 084: 00000001 d122f09e 200005ee // 00000001
daae309e 200005ee // 00000001 d1afc09e 200005ee // 00000001 dac3c09e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 NETDEV WATCHDOG: eth0: transmit timed out
Jun  7 06:01:22 10.54.0.101 n1 eth0: Got tx_timeout. irq: 00000036
Jun  7 06:01:22 10.54.0.101 n1 eth0: Ring at 12bc5a000
Jun  7 06:01:22 10.54.0.101 n1 eth0: Dumping tx registers
Jun  7 06:01:22 10.54.0.101 n1   0: 00002036 000000ff 00000003 031903ca 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1  20: 00000000 00000000 00000000 00000000 00000001
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1  40: 0420e20e 0000a855 00002e20 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1  60: 00000000 00000000 00000000 0000ffff 0000ffff
0000ffff 0000ffff 00000000
Jun  7 06:01:22 10.54.0.101 n1  80: 003b0f3c 40040001 00000000 007f0020 0000061c
00000001 00200000 00007f7d
Jun  7 06:01:22 10.54.0.101 n1  a0: 0014050f 00000016 e7d1a000 00001e59 005e0001
00000100 ffffffff 0000ffff
Jun  7 06:01:22 10.54.0.101 n1  c0: 10000002 00000001 00000001 00000001 00000001
00000001 00000001 00000001
Jun  7 06:01:22 10.54.0.101 n1  e0: 00000001 00000001 00000001 00000001 00000001
00000001 00000001 00000001
Jun  7 06:01:22 10.54.0.101 n1 100: 2bc5a800 2bc5a000 007f00ff 00008000 00010032
00000000 0000002d 2bc5a800
Jun  7 06:01:22 10.54.0.101 n1 120: 2bc5a530 d0dbe6c0 ac00ffc7 00000000 00000000
2bc5a80c 2bc5a530 0fe08000
Jun  7 06:01:22 10.54.0.101 n1 140: 00304120 80c02600 00000001 00000001 00000001
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 160: 00000001 00000001 00000001 00000001 01ff0080
0000c000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 180: 00000006 00000008 0294796d 00008103 0000004a
00003800 00000080 0000b983
Jun  7 06:01:22 10.54.0.101 n1 1a0: 00000006 00000008 0294796d 00008103 0000004a
00003800 00000080 0000b983
Jun  7 06:01:22 10.54.0.101 n1 1c0: 00000006 00000008 0294796d 00008103 0000004a
00003800 0000059e 0000bd83
Jun  7 06:01:22 10.54.0.101 n1 1e0: 00000006 00000008 0294796d 00008103 0000004a
00003800 0000059e 0000bd83
Jun  7 06:01:22 10.54.0.101 n1 200: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 220: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 240: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 260: 00000000 00000000 fe027001 00000100 00000011
000000a3 fe027011 000001a3
Jun  7 06:01:22 10.54.0.101 n1 280: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 2a0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 2c0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 2e0: 00000000 00000000 00000000 00000000 00000000
00000001 00000001 00000001
Jun  7 06:01:22 10.54.0.101 n1 300: 80212000 00000000 00000000 00000000 00000000
00002000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 320: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 340: 00000000 00000000 00000000 00000000 00000000
00000020 02e46a91 00000000
Jun  7 06:01:22 10.54.0.101 n1 360: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 380: 00000000 00000000 00000000 00000000 00000000
00000000 00000002 00000000
Jun  7 06:01:22 10.54.0.101 n1 3a0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 3c0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 3e0: 06255300 00701365 00000000 00000000 00000037
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 400: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 420: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 440: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 460: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 480: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 4a0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 4c0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 4e0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 500: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 520: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 540: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 560: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 580: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 5a0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 5c0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 5e0: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 600: 00000000 00000000 00000000 00000000 00000000
00000000 00000000 00000000
Jun  7 06:01:22 10.54.0.101 n1 eth0: Dumping tx ring
Jun  7 06:01:22 10.54.0.101 n1 000: 00000001 d1f7709e 200005ee // 00000001
d2a7909e 200005ee // 00000000 a081b09e 200005ee // 00000001 e051a09e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 004: 00000000 a084c09e 200005ee // 00000001
e06c709e 200005ee // 00000001 d25dd09e 200005ee // 00000000 a084d09e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 008: 00000000 a096309e 200005ee // 00000000
99a6809e 200005ee // 00000001 d0dd509e 200005ee // 00000000 a084e09e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 00c: 00000000 99a6909e 20000126 // 00000000
a084f09e 200005ee // 00000000 a082c09e 200005ee // 00000000 99a6a09e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 010: 00000001 dafb509e 200005ee // 00000000
99a6b09e 200005ee // 00000001 d14c509e 200005ee // 00000000 a082d09e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 014: 00000001 dafb609e 200005ee // 00000000
a082e09e 200005ee // 00000001 e078609e 200001b6 // 00000001 e079509e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 018: 00000000 9946809e 200005ee // 00000001
d25da09e 200005ee // 00000000 a082f09e 200005ee // 00000001 d274809e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 01c: 00000000 9a4b809e 200005ee // 00000001
d1f22fc2 200002f6 // 00000001 d1f7a09e 200005ee // 00000000 9a4b909e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 020: 00000000 9a4ba09e 200005ee // 00000000
9946a09e 200005ee // 00000000 9a4bb09e 200005ee // 00000001 e078409e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 024: 00000001 d0e5a09e 200005ee // 00000000
9946909e 200005ee // 00000000 9a4a809e 200005ee // 00000001 d0dca09e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 028: 00000000 9946b09e 200005ee // 00000001
d0dd909e 2000013e // 00000000 9ec2009e 200005ee // 00000001 d1f22942 200002f6
Jun  7 06:01:22 10.54.0.101 n1 02c: 00000001 f23d409e 200005ee // 00000000
9946509e 20000126 // 00000000 988d809e 200005ee // 00000001 d208209e 200001b6
Jun  7 06:01:22 10.54.0.101 n1 030: 00000001 2834e282 200002f6 // 00000001
d262b09e 200005ee // 00000000 9a4cd09e 200005ee // 00000000 99875682 200002f6
Jun  7 06:01:22 10.54.0.101 n1 034: 00000000 99875002 200002f6 // 00000000
99874982 200002f6 // 00000000 9946609e 200005ee // 00000000 9982e09e 200005ee
Jun  7 06:01:22 10.54.0.101 n1 038: 00000000 99874302 200002f6 // 00000000
998776c2 200002f6 // 00000002 2c789c02 2000006d // 00000000 cfc94c02 20000067
Jun  7 06:01:22 10.54.0.101 n1 03c: 00000000 cfc94202 2000005b // 00000000
cfc94402 2000005e // 00000002 2c535802 20000090 // 00000002 2c535c02 20000090
Comment 18 errata-xmlrpc 2008-07-24 15:15:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.